import DB from "../database";
import { ModelDataBase } from "@hibas123/safe_mongo/lib/model";
import { ObjectID } from "mongodb";

export interface IGrant extends ModelDataBase {
   user: ObjectID;
   client: ObjectID;
   permissions: ObjectID[];
}

const Grant = DB.addModel<IGrant>({
   name: "grant",
   versions: [{
      migration: () => { },
      schema: {
         user: { type: ObjectID },
         client: { type: ObjectID },
         permissions: { type: ObjectID, array: true }
      }
   }]
})

export default Grant;
